Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire
Enum OfflineMessageStrategy.Type

    java.lang.Object
      java.lang.Enum<OfflineMessageStrategy.Type>
          org.jivesoftware.openfire.OfflineMessageStrategy.Type

All Implemented Interfaces:
  Serializable, Comparable<OfflineMessageStrategy.Type>

Enclosing class:
  OfflineMessageStrategy

    public static enum OfflineMessageStrategy.Type

extends Enum<OfflineMessageStrategy.Type>

Strategy types.

Enum Constant Summary
`bounce` All messages are bounced to the sender.
`drop` All messages are silently dropped.
`store` All messages are stored.
`store_and_bounce` Messages are stored up to the storage limit, and then bounced.
`store_and_drop` Messages are stored up to the storage limit, and then silently dropped.

Method Summary
`static OfflineMessageStrategy.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OfflineMessageStrategy.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bounce

    public static final OfflineMessageStrategy.Type bounce

  All messages are bounced to the sender.

### drop

    public static final OfflineMessageStrategy.Type drop

  All messages are silently dropped.

### store

    public static final OfflineMessageStrategy.Type store

  All messages are stored.

### store_and_bounce

    public static final OfflineMessageStrategy.Type store_and_bounce

  Messages are stored up to the storage limit, and then bounced.

### store_and_drop

    public static final OfflineMessageStrategy.Type store_and_drop

  Messages are stored up to the storage limit, and then silently dropped.

Method Detail

### values

    public static final OfflineMessageStrategy.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OfflineMessageStrategy.Type c : OfflineMessageStrategy.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OfflineMessageStrategy.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.